Subject: bug#67535: Does anyone use i686-linux? [was Re: bug#67535: ci.guix.gnu.org 'Cannot allocate memory' while building for i686-linux]

From: Richard Sent <[email-masked]>
Date: Mon, 29 Jul 2024 11:00:36 -0400

>> In terms of side-stepping the question, do we have enough x86_64
>> hardware to continue to support i686 without degrading support for
>> x86_64? (I ask this seriously, although I'm pretty certain the answer is
>> we're well covered on that front.)
>
>Support does not just mean dedicating build cycles to doomed builds, but
>also dedicating people's time to wade through hundreds of failures for
>little gain.  Perhaps our time is better spent supporting architectures
>that still have a future.
>

For consideration, I know at least one 3rd-party channel relies on being able to create a multiarch container containing i686 packages. I'll refrain from linking since it packages nonfree software. This is an example where keeping an old architecture around is more complicated than simply counting the number of active machines using said architecture.

Perhaps we could tally the number of substitutes served for supported architectures and use that as our metric for liveliness.